Package ru.bitel.bgbilling.modules.omega.server.bean

# Class OmegaManager

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.modules.omega.server.bean.OmegaManager

public class OmegaManager extends ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OmegaManager(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `changeTarif(Contract contract, String proceeddate, String newTarif)`
  `int`
  `createNewService(Contract contract, String serviceTypeId)`
  `int`
  `deactivateService(Contract contract, String serviceId)`
  `org.json.JSONArray`
  `getActiveServices(Contract contract)`
  `org.json.JSONArray`
  `getActiveTariff(Contract contract)`
  `Contract`
  `getContract(String hash)`
  `String`
  `getHash(Contract contract, String key)`
  `org.json.JSONObject`
  `getInetStatus(Contract contract)`
  `org.json.JSONArray`
  `getServicesAvailableToActivate(Contract contract)`
  `int`
  `getStatusCredit(Contract contract)`
  `String`
  `setCredit(Contract contract, int days)`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### OmegaManager

    public OmegaManager(Connection con, int moduleId)

- ## Method Details

  - ### getHash

    public String getHash(Contract contract, String key) throws SQLException
    Throws:
      `SQLException`

  - ### getContract

    public Contract getContract(String hash)

  - ### getStatusCredit

    public int getStatusCredit(Contract contract)

  - ### setCredit

    public String setCredit(Contract contract, int days)

  - ### changeTarif

    public String changeTarif(Contract contract, String proceeddate, String newTarif)

  - ### getActiveTariff

    public org.json.JSONArray getActiveTariff(Contract contract)

  - ### getInetStatus

    public org.json.JSONObject getInetStatus(Contract contract)

  - ### getActiveServices

    public org.json.JSONArray getActiveServices(Contract contract)

  - ### deactivateService

    public int deactivateService(Contract contract, String serviceId)

  - ### getServicesAvailableToActivate

    public org.json.JSONArray getServicesAvailableToActivate(Contract contract)

  - ### createNewService

    public int createNewService(Contract contract, String serviceTypeId)